# HG changeset patch
# Node ID 90e0ccdff115
# Parent  90f3621f94a5
diff --git a/pidgin/gtkaccount.c b/pidgin/gtkaccount.c
--- a/pidgin/gtkaccount.c
+++ b/pidgin/gtkaccount.c
@@ -592,7 +592,6 @@ add_user_options(AccountPrefsDialog *dia
 
 	vbox2 = gtk_box_new(GTK_ORIENTATION_VERTICAL, 0);
 	gtk_widget_set_hexpand(vbox2, TRUE);
-	gtk_widget_set_halign(vbox2, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(hbox), vbox2);
 
 	hbox2 = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 6);
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -3114,7 +3114,6 @@ static void pidgin_blist_show(PurpleBudd
 	gtk_scrolled_window_set_child(GTK_SCROLLED_WINDOW(sw), gtkblist->treeview);
 
 	gtk_widget_set_vexpand(sw, TRUE);
-	gtk_widget_set_valign(sw, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(gtkblist->vbox), sw);
 
 	sep = gtk_separator_new(GTK_ORIENTATION_HORIZONTAL);
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -1350,7 +1350,6 @@ setup_chat_topic(PidginConversation *gtk
 		}
 
 		gtk_widget_set_hexpand(gtkconv->topic_text, TRUE);
-		gtk_widget_set_halign(gtkconv->topic_text, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(hbox), gtkconv->topic_text);
 
 		key = gtk_event_controller_key_new();
@@ -1515,7 +1514,6 @@ setup_chat_userlist(PidginConversation *
 	gtk_scrolled_window_set_child(GTK_SCROLLED_WINDOW(sw), list);
 
 	gtk_widget_set_vexpand(sw, TRUE);
-	gtk_widget_set_valign(sw, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(lbox), sw);
 }
 
@@ -1551,7 +1549,6 @@ setup_common_pane(PidginConversation *gt
 	/* Add the talkatu history */
 	hpaned = gtk_paned_new(GTK_ORIENTATION_HORIZONTAL);
 	gtk_widget_set_vexpand(hpaned, TRUE);
-	gtk_widget_set_valign(hpaned, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(vbox), hpaned);
 	gtk_paned_set_start_child(GTK_PANED(hpaned), sw);
 	gtk_paned_set_resize_start_child(GTK_PANED(hpaned), TRUE);
@@ -1677,7 +1674,6 @@ private_gtkconv_new(PurpleConversation *
 	gtkconv->tab_cont = tab_cont = gtk_box_new(GTK_ORIENTATION_VERTICAL, 6);
 	g_object_set_data(G_OBJECT(tab_cont), "PidginConversation", gtkconv);
 	gtk_widget_set_vexpand(pane, TRUE);
-	gtk_widget_set_valign(pane, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(tab_cont), pane);
 
 	talkatu_editor_set_toolbar_visible(
diff --git a/pidgin/gtkmedia.c b/pidgin/gtkmedia.c
--- a/pidgin/gtkmedia.c
+++ b/pidgin/gtkmedia.c
@@ -558,7 +558,6 @@ pidgin_media_add_audio_widget(PidginMedi
 	volume_widget = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 6);
 	progress_parent = gtk_box_new(GTK_ORIENTATION_VERTICAL, 0);
 	gtk_widget_set_hexpand(progress_parent, TRUE);
-	gtk_widget_set_halign(progress_parent, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(volume_widget), progress_parent);
 
 	/* Volume button */
@@ -637,9 +636,7 @@ pidgin_media_ready_cb(PurpleMedia *media
 			PURPLE_MEDIA_RECV_AUDIO)) {
 		recv_widget = gtk_box_new(GTK_ORIENTATION_VERTICAL, 6);
 		gtk_widget_set_hexpand(recv_widget, TRUE);
-		gtk_widget_set_halign(recv_widget, GTK_ALIGN_FILL);
 		gtk_widget_set_vexpand(recv_widget, TRUE);
-		gtk_widget_set_valign(recv_widget, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(gtkmedia->priv->display), recv_widget);
 	} else {
 		recv_widget = gtkmedia->priv->recv_widget;
@@ -648,12 +645,9 @@ pidgin_media_ready_cb(PurpleMedia *media
 			&& type & (PURPLE_MEDIA_SEND_VIDEO |
 			PURPLE_MEDIA_SEND_AUDIO)) {
 		send_widget = gtk_box_new(GTK_ORIENTATION_VERTICAL, 6);
-		gtk_widget_set_halign(send_widget, GTK_ALIGN_FILL);
-		gtk_widget_set_valign(send_widget, GTK_ALIGN_FILL);
 		gtk_box_prepend(GTK_BOX(gtkmedia->priv->display), send_widget);
 
 		button_widget = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 6);
-		gtk_widget_set_valign(button_widget, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(send_widget), button_widget);
 
 		/* Hold button */
@@ -684,7 +678,6 @@ pidgin_media_ready_cb(PurpleMedia *media
 		}
 		g_object_get(G_OBJECT(sink), "widget", &remote_video, NULL);
 		gtk_widget_show(remote_video);
-		gtk_widget_set_valign(remote_video, GTK_ALIGN_FILL);
 		gtk_widget_set_vexpand(remote_video, TRUE);
 		gtk_box_append(GTK_BOX(recv_widget), remote_video);
 
@@ -707,7 +700,6 @@ pidgin_media_ready_cb(PurpleMedia *media
 		}
 		g_object_get(G_OBJECT(sink), "widget", &local_video, NULL);
 		gtk_widget_show(local_video);
-		gtk_widget_set_valign(local_video, GTK_ALIGN_FILL);
 		gtk_widget_set_vexpand(local_video, TRUE);
 		gtk_box_append(GTK_BOX(send_widget), local_video);
 
diff --git a/pidgin/gtknotify.c b/pidgin/gtknotify.c
--- a/pidgin/gtknotify.c
+++ b/pidgin/gtknotify.c
@@ -284,7 +284,6 @@ pidgin_notify_formatted(const char *titl
 	/* Add the view */
 	sw = gtk_scrolled_window_new();
 	gtk_box_append(GTK_BOX(vbox), sw);
-	gtk_widget_set_valign(sw, GTK_ALIGN_FILL);
 	gtk_widget_set_vexpand(sw, TRUE);
 
 	buffer = talkatu_html_buffer_new();
@@ -438,7 +437,6 @@ pidgin_notify_searchresults(PurpleConnec
 	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(sw),
 	                               GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);
 	gtk_scrolled_window_set_child(GTK_SCROLLED_WINDOW(sw), treeview);
-	gtk_widget_set_valign(sw, GTK_ALIGN_FILL);
 	gtk_widget_set_vexpand(sw, TRUE);
 	gtk_box_append(GTK_BOX(vbox), sw);
 
diff --git a/pidgin/gtkpluginpref.c b/pidgin/gtkpluginpref.c
--- a/pidgin/gtkpluginpref.c
+++ b/pidgin/gtkpluginpref.c
@@ -145,7 +145,6 @@ make_string_pref(GtkWidget *parent, Purp
 				                 G_CALLBACK(multiline_cb), NULL);
 				*/
 				gtk_box_append(GTK_BOX(hbox), editor);
-				gtk_widget_set_halign(editor, GTK_ALIGN_FILL);
 				gtk_widget_set_hexpand(editor, TRUE);
 			}
 
diff --git a/pidgin/gtkrequest.c b/pidgin/gtkrequest.c
--- a/pidgin/gtkrequest.c
+++ b/pidgin/gtkrequest.c
@@ -551,7 +551,6 @@ pidgin_request_input(const char *title, 
 
 	/* Vertical box */
 	vbox = gtk_box_new(GTK_ORIENTATION_VERTICAL, 12);
-	gtk_widget_set_halign(vbox, GTK_ALIGN_FILL);
 	gtk_widget_set_hexpand(vbox, TRUE);
 	gtk_box_append(GTK_BOX(hbox), vbox);
 
@@ -589,7 +588,6 @@ pidgin_request_input(const char *title, 
 
 		gtk_widget_set_size_request(input, 320, 130);
 		gtk_widget_set_name(input, "pidgin_request_input");
-		gtk_widget_set_valign(editor, GTK_ALIGN_FILL);
 		gtk_widget_set_vexpand(editor, TRUE);
 		gtk_box_append(GTK_BOX(vbox), editor);
 
@@ -732,7 +730,6 @@ pidgin_request_choice(const char *title,
 	gtk_label_set_wrap(GTK_LABEL(label), TRUE);
 	gtk_label_set_xalign(GTK_LABEL(label), 0);
 	gtk_label_set_yalign(GTK_LABEL(label), 0);
-	gtk_widget_set_valign(label, GTK_ALIGN_FILL);
 	gtk_widget_set_vexpand(label, TRUE);
 	gtk_box_append(GTK_BOX(vbox), label);
 
@@ -877,7 +874,6 @@ pidgin_request_action(const char *title,
 	gtk_label_set_xalign(GTK_LABEL(label), 0);
 	gtk_label_set_yalign(GTK_LABEL(label), 0);
 	gtk_label_set_selectable(GTK_LABEL(label), TRUE);
-	gtk_widget_set_valign(label, GTK_ALIGN_FILL);
 	gtk_widget_set_vexpand(label, TRUE);
 	gtk_box_append(GTK_BOX(vbox), label);
 
@@ -994,7 +990,6 @@ pidgin_request_wait(const char *title, c
 	gtk_label_set_xalign(GTK_LABEL(label), 0);
 	gtk_label_set_yalign(GTK_LABEL(label), 0);
 	gtk_label_set_selectable(GTK_LABEL(label), FALSE);
-	gtk_widget_set_valign(label, GTK_ALIGN_FILL);
 	gtk_widget_set_vexpand(label, TRUE);
 	gtk_box_append(GTK_BOX(vbox), label);
 
@@ -1345,10 +1340,8 @@ create_choice_field(PurpleRequestField *
 			values[i++] = choice->value;
 
 			if(orientation == GTK_ORIENTATION_VERTICAL) {
-				gtk_widget_set_valign(radio, GTK_ALIGN_FILL);
 				gtk_widget_set_vexpand(radio, TRUE);
 			} else if(orientation == GTK_ORIENTATION_HORIZONTAL) {
-				gtk_widget_set_halign(radio, GTK_ALIGN_FILL);
 				gtk_widget_set_hexpand(radio, TRUE);
 			}
 
@@ -1862,7 +1855,6 @@ create_datasheet_field(PurpleRequestFiel
 	                               GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);
 	gtk_scrolled_window_set_child(GTK_SCROLLED_WINDOW(scrollable),
 	                              GTK_WIDGET(view));
-	gtk_widget_set_halign(scrollable, GTK_ALIGN_FILL);
 	gtk_widget_set_hexpand(scrollable, TRUE);
 	gtk_box_append(GTK_BOX(main_box), scrollable);
 
@@ -1994,7 +1986,6 @@ pidgin_request_fields(const char *title,
 
 	/* Setup the vbox */
 	vbox = gtk_box_new(GTK_ORIENTATION_VERTICAL, 12);
-	gtk_widget_set_halign(vbox, GTK_ALIGN_FILL);
 	gtk_widget_set_hexpand(vbox, TRUE);
 	gtk_box_append(GTK_BOX(hbox), vbox);
 
@@ -2089,12 +2080,6 @@ pidgin_request_fields(const char *title,
 		             "vexpand", contains_resizable,
 		             NULL);
 
-		if(contains_resizable) {
-			g_object_set(G_OBJECT(grid),
-			             "halign", GTK_ALIGN_FILL,
-			             "valign", GTK_ALIGN_FILL,
-			             NULL);
-		}
 		gtk_box_append(GTK_BOX(frame), grid);
 
 		for (row_num = 0, fl = field_list;
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -795,11 +795,9 @@ pidgin_add_widget_to_vbox(GtkBox *vbox, 
 		gtk_box_append(GTK_BOX(hbox), label);
 
 		gtk_widget_set_hexpand(widget, expand);
-		gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(hbox), widget);
 	} else {
 		gtk_widget_set_vexpand(widget, expand);
-		gtk_widget_set_valign(widget, GTK_ALIGN_FILL);
 		gtk_box_append(vbox, widget);
 
 		hbox = GTK_WIDGET(vbox);
diff --git a/pidgin/pidginaddchatdialog.c b/pidgin/pidginaddchatdialog.c
--- a/pidgin/pidginaddchatdialog.c
+++ b/pidgin/pidginaddchatdialog.c
@@ -150,12 +150,10 @@ pidgin_add_chat_dialog_update_components
 		label = gtk_label_new_with_mnemonic(pce->label);
 		gtk_label_set_xalign(GTK_LABEL(label), 0.0f);
 		gtk_label_set_yalign(GTK_LABEL(label), 0.0f);
-		gtk_widget_set_halign(label, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(box), label);
 		gtk_size_group_add_widget(dialog->sg, label);
 
 		gtk_widget_set_hexpand(input, TRUE);
-		gtk_widget_set_halign(input, GTK_ALIGN_FILL);
 		gtk_box_append(GTK_BOX(box), input);
 		if(!focus_set) {
 			gtk_widget_grab_focus(input);
diff --git a/pidgin/plugins/spellchk.c b/pidgin/plugins/spellchk.c
--- a/pidgin/plugins/spellchk.c
+++ b/pidgin/plugins/spellchk.c
@@ -2188,7 +2188,6 @@ get_config_frame(PurplePlugin *plugin)
 	                               GTK_POLICY_ALWAYS);
 	gtk_scrolled_window_set_child(GTK_SCROLLED_WINDOW(sw), tree);
 	gtk_widget_set_vexpand(sw, TRUE);
-	gtk_widget_set_valign(sw, GTK_ALIGN_FILL);
 	gtk_box_append(GTK_BOX(vbox), sw);
 
 	hbox = gtk_button_box_new(GTK_ORIENTATION_HORIZONTAL);
diff --git a/pidgin/plugins/xmppconsole/console.ui b/pidgin/plugins/xmppconsole/console.ui
--- a/pidgin/plugins/xmppconsole/console.ui
+++ b/pidgin/plugins/xmppconsole/console.ui
@@ -111,7 +111,6 @@ Foundation, Inc., 51 Franklin Street, Fi
               <object class="PidginAccountChooser">
                 <property name="model">connected_xmpp_accounts</property>
                 <property name="active">0</property>
-                <property name="halign">fill</property>
                 <property name="hexpand">1</property>
                 <signal name="changed" handler="dropdown_changed_cb" object="PidginXmppConsole" swapped="no"/>
               </object>
@@ -120,7 +119,6 @@ Foundation, Inc., 51 Franklin Street, Fi
         </child>
         <child>
           <object class="GtkScrolledWindow">
-            <property name="valign">fill</property>
             <property name="vexpand">1</property>
             <property name="focusable">1</property>
             <property name="child">
diff --git a/pidgin/resources/About/about.ui b/pidgin/resources/About/about.ui
--- a/pidgin/resources/About/about.ui
+++ b/pidgin/resources/About/about.ui
@@ -61,7 +61,6 @@ Foundation, Inc., 51 Franklin Street, Fi
         <child>
           <object class="GtkBox">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
             <property name="orientation">vertical</property>
             <property name="spacing">5</property>
             <child>
@@ -84,7 +83,6 @@ Foundation, Inc., 51 Franklin Street, Fi
             <child>
               <object class="GtkStack" id="stack">
                 <property name="vexpand">1</property>
-                <property name="valign">fill</property>
                 <property name="width-request">400</property>
                 <property name="height-request">150</property>
                 <property name="margin-bottom">2</property>
@@ -239,7 +237,6 @@ Foundation, Inc., 51 Franklin Street, Fi
           <object class="GtkStackSwitcher" id="switcher">
             <property name="stack">stack</property>
             <property name="hexpand">1</property>
-            <property name="halign">fill</property>
           </object>
         </child>
         <child>
@@ -248,7 +245,6 @@ Foundation, Inc., 51 Franklin Street, Fi
             <property name="focusable">1</property>
             <property name="receives-default">1</property>
             <property name="hexpand">1</property>
-            <property name="halign">fill</property>
           </object>
         </child>
       </object>
diff --git a/pidgin/resources/Accounts/manager.ui b/pidgin/resources/Accounts/manager.ui
--- a/pidgin/resources/Accounts/manager.ui
+++ b/pidgin/resources/Accounts/manager.ui
@@ -48,7 +48,6 @@ along with this program; if not, see <ht
     <child internal-child="content_area">
       <object class="GtkScrolledWindow">
         <property name="vexpand">1</property>
-        <property name="valign">fill</property>
         <property name="focusable">1</property>
         <child>
           <object class="GtkTreeView">
diff --git a/pidgin/resources/Conversations/infopane.ui b/pidgin/resources/Conversations/infopane.ui
--- a/pidgin/resources/Conversations/infopane.ui
+++ b/pidgin/resources/Conversations/infopane.ui
@@ -35,7 +35,6 @@ along with this library; if not, see <ht
         <child>
           <object class="GtkBox">
             <property name="hexpand">1</property>
-            <property name="halign">fill</property>
             <property name="orientation">vertical</property>
             <child>
               <object class="GtkLabel" id="name">
diff --git a/pidgin/resources/Conversations/invite_dialog.ui b/pidgin/resources/Conversations/invite_dialog.ui
--- a/pidgin/resources/Conversations/invite_dialog.ui
+++ b/pidgin/resources/Conversations/invite_dialog.ui
@@ -32,7 +32,6 @@ along with this library; if not, see <ht
         <child>
           <object class="GtkGrid">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
             <property name="margin-bottom">6</property>
             <property name="row-spacing">6</property>
             <child>
diff --git a/pidgin/resources/Dialogs/addbuddy.ui b/pidgin/resources/Dialogs/addbuddy.ui
--- a/pidgin/resources/Dialogs/addbuddy.ui
+++ b/pidgin/resources/Dialogs/addbuddy.ui
@@ -65,7 +65,6 @@ along with this program; if not, see <ht
             <child>
               <object class="PidginAccountChooser" id="account">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="model">filter</property>
                 <signal name="changed" handler="pidgin_add_buddy_dialog_account_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
                 <accessibility>
@@ -90,7 +89,6 @@ along with this program; if not, see <ht
             <child>
               <object class="GtkEntry" id="username">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
                 <property name="activates-default">1</property>
                 <signal name="changed" handler="pidgin_add_buddy_dialog_username_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
@@ -116,7 +114,6 @@ along with this program; if not, see <ht
             <child>
               <object class="GtkEntry" id="alias">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
                 <accessibility>
                   <relation name="labelled-by">label3</relation>
@@ -140,7 +137,6 @@ along with this program; if not, see <ht
             <child>
               <object class="GtkEntry" id="message">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="sensitive">0</property>
                 <property name="focusable">1</property>
                 <accessibility>
@@ -164,7 +160,6 @@ along with this program; if not, see <ht
             <child>
               <object class="GtkComboBoxText" id="group">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="has-entry">1</property>
                 <property name="child">
                   <object class="GtkEntry">
diff --git a/pidgin/resources/Dialogs/addchat.ui b/pidgin/resources/Dialogs/addchat.ui
--- a/pidgin/resources/Dialogs/addchat.ui
+++ b/pidgin/resources/Dialogs/addchat.ui
@@ -61,13 +61,11 @@ along with this program; if not, see <ht
                 <property name="mnemonic-widget">account</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
-                <property name="halign">fill</property>
               </object>
             </child>
             <child>
               <object class="PidginAccountChooser" id="account">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="model">filter</property>
                 <signal name="changed" handler="pidgin_add_chat_dialog_account_changed_cb" object="PidginAddChatDialog" swapped="no"/>
               </object>
@@ -79,7 +77,6 @@ along with this program; if not, see <ht
             <property name="orientation">vertical</property>
             <property name="spacing">6</property>
             <property name="hexpand">1</property>
-            <property name="halign">fill</property>
             <child>
               <placeholder/>
             </child>
@@ -95,13 +92,11 @@ along with this program; if not, see <ht
                 <property name="mnemonic-widget">alias</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
-                <property name="halign">fill</property>
               </object>
             </child>
             <child>
               <object class="GtkEntry" id="alias">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
               </object>
             </child>
@@ -116,13 +111,11 @@ along with this program; if not, see <ht
                 <property name="use-underline">1</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
-                <property name="halign">fill</property>
               </object>
             </child>
             <child>
               <object class="GtkComboBoxText" id="group">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="has-entry">1</property>
                 <property name="child">
                   <object class="GtkEntry">
diff --git a/pidgin/resources/Media/window.ui b/pidgin/resources/Media/window.ui
--- a/pidgin/resources/Media/window.ui
+++ b/pidgin/resources/Media/window.ui
@@ -46,7 +46,6 @@ along with this library; if not, see <ht
         <child>
           <object class="GtkBox" id="display">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
             <property name="orientation">vertical</property>
             <property name="spacing">6</property>
             <child>
diff --git a/pidgin/resources/Notifications/list.ui b/pidgin/resources/Notifications/list.ui
--- a/pidgin/resources/Notifications/list.ui
+++ b/pidgin/resources/Notifications/list.ui
@@ -28,7 +28,6 @@ along with this library; if not, see <ht
     <child>
       <object class="GtkListBox" id="list_box">
         <property name="vexpand">1</property>
-        <property name="valign">fill</property>
         <child type="placeholder">
           <object class="AdwStatusPage">
             <property name="visible">True</property>
diff --git a/pidgin/resources/Plugins/dialog.ui b/pidgin/resources/Plugins/dialog.ui
--- a/pidgin/resources/Plugins/dialog.ui
+++ b/pidgin/resources/Plugins/dialog.ui
@@ -32,7 +32,6 @@ along with this program; if not, see <ht
         <child>
           <object class="GPluginGtkView" id="view">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
           </object>
         </child>
       </object>
diff --git a/pidgin/resources/Prefs/network.ui b/pidgin/resources/Prefs/network.ui
--- a/pidgin/resources/Prefs/network.ui
+++ b/pidgin/resources/Prefs/network.ui
@@ -54,7 +54,6 @@ along with this program; if not, see <ht
             <property name="use-underline">1</property>
             <child>
               <object class="GtkEntry" id="stun_server">
-                <property name="halign">fill</property>
                 <property name="hexpand">1</property>
                 <property name="valign">center</property>
                 <property name="focusable">1</property>
diff --git a/pidgin/resources/Privacy/dialog.ui b/pidgin/resources/Privacy/dialog.ui
--- a/pidgin/resources/Privacy/dialog.ui
+++ b/pidgin/resources/Privacy/dialog.ui
@@ -65,7 +65,6 @@ along with this library; if not, see <ht
             <child>
               <object class="PidginAccountChooser" id="account_chooser">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="model">connected_account_store</property>
                 <property name="active">0</property>
                 <signal name="changed" handler="select_account_cb" object="PidginPrivacyDialog" swapped="no"/>
@@ -78,14 +77,12 @@ along with this library; if not, see <ht
         </child>
         <child>
           <object class="GtkComboBoxText" id="type_menu">
-            <property name="valign">fill</property>
             <signal name="changed" handler="type_changed_cb" object="PidginPrivacyDialog" swapped="no"/>
           </object>
         </child>
         <child>
           <object class="GtkScrolledWindow" id="allow_widget">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
             <property name="height-request">200</property>
             <property name="focusable">1</property>
             <property name="child">
@@ -118,7 +115,6 @@ along with this library; if not, see <ht
         <child>
           <object class="GtkScrolledWindow" id="block_widget">
             <property name="vexpand">1</property>
-            <property name="valign">fill</property>
             <property name="height-request">200</property>
             <property name="focusable">1</property>
             <property name="child">
diff --git a/pidgin/resources/Roomlist/roomlist.ui b/pidgin/resources/Roomlist/roomlist.ui
--- a/pidgin/resources/Roomlist/roomlist.ui
+++ b/pidgin/resources/Roomlist/roomlist.ui
@@ -49,7 +49,6 @@ along with this library; if not, see <ht
                 <property name="can-focus">1</property>
                 <property name="model">accounts</property>
                 <property name="active">0</property>
-                <property name="halign">fill</property>
                 <signal name="changed" handler="dialog_select_account_cb" object="PidginRoomlistDialog" swapped="no"/>
                 <accessibility>
                   <relation name="labelled-by">label1</relation>
diff --git a/pidgin/resources/Status/editor.ui b/pidgin/resources/Status/editor.ui
--- a/pidgin/resources/Status/editor.ui
+++ b/pidgin/resources/Status/editor.ui
@@ -39,7 +39,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkBox">
                 <property name="vexpand">1</property>
-                <property name="valign">GTK_ALIGN_FILL</property>
                 <child>
                   <object class="GtkLabel" id="label1">
                     <property name="label" translatable="1">_Title:</property>
@@ -52,7 +51,6 @@ along with this library; if not, see <ht
                 <child>
                   <object class="GtkEntry" id="title">
                     <property name="hexpand">1</property>
-                    <property name="halign">GTK_ALIGN_FILL</property>
                     <property name="focusable">1</property>
                     <signal name="changed" handler="pidgin_status_editor_title_changed_cb" object="PidginStatusEditor" swapped="no"/>
                   </object>
@@ -62,7 +60,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkBox">
                 <property name="vexpand">1</property>
-                <property name="valign">GTK_ALIGN_FILL</property>
                 <child>
                   <object class="GtkLabel" id="label2">
                     <property name="label" translatable="1">St_atus:</property>
@@ -75,7 +72,6 @@ along with this library; if not, see <ht
                 <child>
                   <object class="PidginStatusPrimitiveChooser" id="primitive">
                     <property name="hexpand">1</property>
-                    <property name="halign">GTK_ALIGN_FILL</property>
                     <property name="id-column">0</property>
                     <property name="model">primitive_store</property>
                   </object>
@@ -85,7 +81,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkBox">
                 <property name="vexpand">1</property>
-                <property name="valign">GTK_ALIGN_FILL</property>
                 <child>
                   <object class="GtkLabel" id="label3">
                     <property name="label" translatable="1">_Message:</property>
@@ -97,10 +92,8 @@ along with this library; if not, see <ht
                 </child>
                 <child>
                   <object class="TalkatuEditor">
-                    <property name="halign">GTK_ALIGN_FILL</property>
                     <property name="hexpand">1</property>
                     <property name="orientation">vertical</property>
-                    <property name="valign">GTK_ALIGN_FILL</property>
                     <property name="vexpand">1</property>
                     <child internal-child="send_button">
                       <object class="GtkButton">
@@ -113,9 +106,7 @@ along with this library; if not, see <ht
                     <child internal-child="input">
                       <object class="TalkatuInput" id="message">
                         <property name="buffer">buffer</property>
-                        <property name="halign">GTK_ALIGN_FILL</property>
                         <property name="hexpand">1</property>
-                        <property name="valign">GTK_ALIGN_FILL</property>
                         <property name="vexpand">1</property>
                         <property name="width-request">450</property>
                         <property name="wrap-mode">word</property>
diff --git a/pidgin/resources/Status/manager.ui b/pidgin/resources/Status/manager.ui
--- a/pidgin/resources/Status/manager.ui
+++ b/pidgin/resources/Status/manager.ui
@@ -48,7 +48,6 @@ License along with this library; if not,
     <child internal-child="content_area">
       <object class="GtkScrolledWindow">
         <property name="vexpand">1</property>
-        <property name="valign">fill</property>
         <property name="focusable">1</property>
         <child>
           <object class="GtkTreeView">
diff --git a/pidgin/resources/presenceicon.ui b/pidgin/resources/presenceicon.ui
--- a/pidgin/resources/presenceicon.ui
+++ b/pidgin/resources/presenceicon.ui
@@ -27,7 +27,6 @@ along with this library; if not, see <ht
     <child>
       <object class="GtkImage" id="icon">
         <property name="vexpand">1</property>
-        <property name="valign">fill</property>
         <property name="icon-name">image-missing</property>
         <property name="use-fallback">1</property>
         <property name="icon_size">large</property>
diff --git a/pidgin/resources/proxyoptions.ui b/pidgin/resources/proxyoptions.ui
--- a/pidgin/resources/proxyoptions.ui
+++ b/pidgin/resources/proxyoptions.ui
@@ -88,7 +88,6 @@ along with this library; if not, see <ht
         <child>
           <object class="GtkComboBox" id="proxy_type">
             <property name="hexpand">1</property>
-            <property name="halign">fill</property>
             <property name="model">filter</property>
             <signal name="changed" handler="pidgin_proxy_options_proxy_type_changed_cb" object="PidginProxyOptions" swapped="no"/>
             <child>
@@ -120,7 +119,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkEntry" id="hostname">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
               </object>
             </child>
@@ -140,7 +138,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkSpinButton" id="port">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
                 <property name="adjustment">port_adjustment</property>
                 <property name="numeric">1</property>
@@ -162,7 +159,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkEntry" id="username">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
               </object>
             </child>
@@ -182,7 +178,6 @@ along with this library; if not, see <ht
             <child>
               <object class="GtkPasswordEntry" id="password">
                 <property name="hexpand">1</property>
-                <property name="halign">fill</property>
                 <property name="focusable">1</property>
                 <property name="show-peek-icon">1</property>
               </object>
